# Class Calculator

java.lang.Object
uk.ac.starlink.ttools.example.Calculator

public class Calculator extends Object
Minimal example of invoking a stilts task programmatically using the parameter system.

Since:
  3 Oct 2014
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`Calculator()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Calculator

public Calculator()

## Method Details

### main

public static void main(String[] args) throws uk.ac.starlink.task.TaskException, IOException

Throws:
  `uk.ac.starlink.task.TaskException`
  `IOException`